varying vec3 view;
varying vec3 lightdirection;
void main(void)
{
	//normal = normalize(gl_NormalMatrix * gl_Normal);
	view = vec3(gl_ModelViewMatrix * gl_Vertex);
	lightdirection = normalize(gl_LightSource[0].position.xyz - view);
	//lightdirection = normalize(vec3(10,0,0) - view);
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[1] = gl_MultiTexCoord1;
	gl_TexCoord[2] = gl_MultiTexCoord2;
	gl_TexCoord[3] = gl_MultiTexCoord3;
	gl_TexCoord[4] = gl_MultiTexCoord4;

	gl_Position = ftransform();
}